module_version: "1.0"

var:
  - name: paths
    default:
      - /var/log/cisco-ftd.log
  - name: tags
    default: [cisco-ftd, forwarded]
  - name: syslog_host
    default: localhost
  - name: syslog_port
    default: 9003
  - name: input
    default: syslog
  - name: log_level
    default: 7
    # if ES < 6.1.0, this flag switches to false automatically when evaluating the
    # pipeline
    min_elasticsearch_version:
      version: 6.1.0
      value: false
    # These flags are used internally by the shared pipeline
  - name: internal_prefix
    default: ftd
  - name: internal_PREFIX
    default: FTD
  - name: external_zones
  - name: internal_zones

ingest_pipeline: ../shared/ingest/asa-ftd-pipeline.yml
input: config/input.yml

requires.processors:
- name: geoip
  plugin: ingest-geoip
